### A free/open-source library for quantitative finance

Public Member Functions
MakeCapFloor Class Reference

helper class More...

`#include <ql/instruments/makecapfloor.hpp>`

List of all members.

## Public Member Functions

| MakeCapFloor (CapFloor::Type capFloorType, const Period &capFloorTenor, const boost::shared_ptr< IborIndex > &iborIndex, Rate strike=Null< Rate >(), const Period &forwardStart=0 *Days)
| operator CapFloor () const
| operator boost::shared_ptr< CapFloor > () const
MakeCapFloor & | withNominal (Real n)
MakeCapFloor & | withEffectiveDate (const Date &effectiveDate, bool firstCapletExcluded)
MakeCapFloor & | withTenor (const Period &t)
MakeCapFloor & | withCalendar (const Calendar &cal)
MakeCapFloor & | withConvention (BusinessDayConvention bdc)
MakeCapFloor & | withTerminationDateConvention (BusinessDayConvention bdc)
MakeCapFloor & | withRule (DateGeneration::Rule r)
MakeCapFloor & | withEndOfMonth (bool flag=true)
MakeCapFloor & | withFirstDate (const Date &d)
MakeCapFloor & | withNextToLastDate (const Date &d)
MakeCapFloor & | withDayCount (const DayCounter &dc)
MakeCapFloor & | asOptionlet (bool b=true)
| only get last coupon
MakeCapFloor & | withPricingEngine (const boost::shared_ptr< PricingEngine > &engine)

## Detailed Description

helper class

This class provides a more comfortable way to instantiate standard market cap and floor.